Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataControler

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataControler

All Implemented Interfaces:
  IDataAccess, IDataControler

public class DataControler
extends java.lang.Object
implements IDataControler

DataControler
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataControler()` Constructeur

Method Summary
`void` | `addPopulation(Population population)` Ajout d'une population
`void` | `addPublicator(java.lang.String id, java.lang.String login)` Ajout d'un publicateur
`void` | `addPublicators(java.lang.String id, java.lang.String group)` Ajout d'un groupe de publicateurs
`void` | `addSuperUser(java.lang.String login)` Ajout d'un super-utilisateur
`void` | `addValidator(java.lang.String id, java.lang.String login)` Ajout d'un valideur
`void` | `commit()` Valide les opérations de la session
`void` | `createDocument(Document doc, boolean valid)` Création d'un document
`void` | `createFolder(Folder folder)` Création d'un dossier
`void` | `createIntranet(Intranet intranet)` Création d'un intranet
`void` | `createMIME(Mime mime)` Création d'un type MIME
`java.util.Collection` | `findByName(java.lang.String intranet, java.lang.String name, java.lang.String description, boolean valid)` Recherche de documents par nom / description
`java.util.Collection` | `findInvalid(java.lang.String intranet, java.lang.String name, java.lang.String description)` Recherche de tous les documents en attente de validation
`java.util.Collection` | `findMyInvalid(java.lang.String intranet, java.lang.String name, java.lang.String description, java.lang.String login)` Recherche des documents déposés par un utilisateur en attente de validation
`Document` | `getDocument(java.lang.String intranet, java.lang.String id)` Récupération d'un document
`Folder` | `getFolder(java.lang.String id, boolean sub)` Récupération d'un dossier
`java.util.Collection` | `getGroupsPublicators(java.lang.String id)` Récupération des groupes de publicateurs d'un dossier
`Intranet` | `getIntranet(java.lang.String id)` Récupération d'un intranet
`java.util.Collection` | `getIntranets()` Récupération de la liste de tous les intranets
`java.util.Collection` | `getMIMEs()` Récupération des types MIME valides
`Population` | `getPopulation(java.lang.String id)` Récupération d'une population
`java.util.Collection` | `getSuperUsers()` Récupération des super-utilisateurs
`java.util.Collection` | `getUsersPublicators(java.lang.String id)` Récupération des publicateurs d'un dossier
`java.util.Collection` | `getValidators(java.lang.String id)` Récupération des valideurs d'un dossier
`void` | `invalidDocument(Document doc)` Invalidation d'un document
`boolean` | `isValidMIME(java.lang.String extension)` Vérifie la validité d'un type MIME
`void` | `removeDocument(Document doc)` Suppression d'un document
`void` | `removeFolder(java.lang.String id)` Suppression d'un dossier
`void` | `removeIntranet(Intranet intranet)` Suppression d'un intranet
`void` | `removeMIME(java.lang.String extension)` Suppression d'un type MIME
`void` | `removePublicator(java.lang.String id, java.lang.String login)` Suppression d'un publicateur
`void` | `removePublicators(java.lang.String id, java.lang.String group)` Suppression d'un groupe de publicateurs
`void` | `removeSuperUser(java.lang.String login)` Suppression d'un super-utilisateur
`void` | `removeValidator(java.lang.String id, java.lang.String login)` Suppression d'un valideur
`void` | `rollback()` Annule les opérations de la session
`void` | `setName(Folder folder)` Modifie le nom d'un dossier
`void` | `setValidation(Folder folder, boolean validation)` Modifie la validation d'un dossier
`void` | `swap(java.lang.String id, java.lang.String doc, java.lang.String oldorder, java.lang.String neworder)` Echange le rang de deux documents
`void` | `updateDocument(Document doc)` Mise à jour d'un document
`void` | `validDocument(Document doc)` Validation d'un document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataControler

    public DataControler()

  Constructeur

Method Detail

### commit

    public void commit()

  Valide les opérations de la session

  Specified by:
    `commit` in interface `IDataControler`

### rollback

    public void rollback()

  Annule les opérations de la session

  Specified by:
    `rollback` in interface `IDataControler`

### getDocument

    public Document getDocument(java.lang.String intranet,
                                java.lang.String id)
                         throws DataException

  Récupération d'un document

  Specified by:
    `getDocument` in interface `IDataAccess`
  Parameters:
    `intranet` - L'identifiant de l'intranet auquel appartient le document
    `id` - L'identifiant du dossier auquel appartient le document
  Returns:
    Le document
  Throws:
    `DataException`

### createDocument

    public void createDocument(Document doc,
                               boolean valid)
                        throws DataException

  Création d'un document

  Specified by:
    `createDocument` in interface `IDataAccess`
  Parameters:
    `doc` - Le document à créer
    `valid` - Si le document est valide true, false sinon
  Throws:
    `DataException`

### removeDocument

    public void removeDocument(Document doc)
                        throws DataException

  Suppression d'un document

  Specified by:
    `removeDocument` in interface `IDataAccess`
  Parameters:
    `doc` - Le document à supprimer
  Throws:
    `DataException`

### updateDocument

    public void updateDocument(Document doc)
                        throws DataException

  Mise à jour d'un document

  Specified by:
    `updateDocument` in interface `IDataAccess`
  Parameters:
    `doc` - Le document à mettre à jour
  Throws:
    `DataException`

### validDocument

    public void validDocument(Document doc)
                       throws DataException

  Validation d'un document

  Specified by:
    `validDocument` in interface `IDataAccess`
  Parameters:
    `doc` - Le document à valider
  Throws:
    `DataException`

### invalidDocument

    public void invalidDocument(Document doc)
                         throws DataException

  Invalidation d'un document

  Specified by:
    `invalidDocument` in interface `IDataAccess`
  Parameters:
    `doc` - Le document à invalider
  Throws:
    `DataException`

### getFolder

    public Folder getFolder(java.lang.String id,
                            boolean sub)
                     throws DataException

  Récupération d'un dossier

  Specified by:
    `getFolder` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `sub` - Si true alors on récupère également les sous-dossiers
    et les documents
  Returns:
    Le dossier
  Throws:
    `DataException`

### createFolder

    public void createFolder(Folder folder)
                      throws DataException

  Création d'un dossier

  Specified by:
    `createFolder` in interface `IDataAccess`
  Parameters:
    `folder` - Le dossier à créer
  Returns:
    L'identifiant du dossier créé
  Throws:
    `DataException`

### removeFolder

    public void removeFolder(java.lang.String id)
                      throws DataException

  Suppression d'un dossier

  Specified by:
    `removeFolder` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### setValidation

    public void setValidation(Folder folder,
                              boolean validation)
                       throws DataException

  Modifie la validation d'un dossier

  Specified by:
    `setValidation` in interface `IDataAccess`
  Parameters:
    `folder` - Le dossier
    `validation` - True pour activer la validation, false pour la désactiver
  Throws:
    `DataException`

### setName

    public void setName(Folder folder)
                 throws DataException

  Modifie le nom d'un dossier

  Specified by:
    `setName` in interface `IDataAccess`
  Parameters:
    `folder` - Le dossier
  Throws:
    `DataException`

### getIntranet

    public Intranet getIntranet(java.lang.String id)
                         throws DataException

  Récupération d'un intranet

  Specified by:
    `getIntranet` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant d'intranet
  Returns:
    L'intranet correspondant
  Throws:
    `DataException`

### getIntranets

    public java.util.Collection getIntranets()
                                      throws DataException

  Récupération de la liste de tous les intranets

  Specified by:
    `getIntranets` in interface `IDataAccess`
  Returns:
    La liste de tous les intranets
  Throws:
    `DataException`

### createIntranet

    public void createIntranet(Intranet intranet)
                        throws DataException

  Création d'un intranet

  Specified by:
    `createIntranet` in interface `IDataAccess`
  Parameters:
    `intranet` - L'intranet à créer
  Throws:
    `DataException`

### removeIntranet

    public void removeIntranet(Intranet intranet)
                        throws DataException

  Suppression d'un intranet

  Specified by:
    `removeIntranet` in interface `IDataAccess`
  Parameters:
    `intranet` - L'intranet à supprimer
  Throws:
    `DataException`

### getMIMEs

    public java.util.Collection getMIMEs()
                                  throws DataException

  Récupération des types MIME valides

  Specified by:
    `getMIMEs` in interface `IDataAccess`
  Returns:
    La liste des types MIME
  Throws:
    `DataException`

### createMIME

    public void createMIME(Mime mime)
                    throws DataException

  Création d'un type MIME

  Specified by:
    `createMIME` in interface `IDataAccess`
  Parameters:
    `mime` - Le type MIME à créer
  Throws:
    `DataException`

### removeMIME

    public void removeMIME(java.lang.String extension)
                    throws DataException

  Suppression d'un type MIME

  Specified by:
    `removeMIME` in interface `IDataAccess`
  Parameters:
    `extension` - L'extension associée au type MIME
  Throws:
    `DataException`

### isValidMIME

    public boolean isValidMIME(java.lang.String extension)
                        throws DataException

  Vérifie la validité d'un type MIME

  Specified by:
    `isValidMIME` in interface `IDataAccess`
  Parameters:
    `extension` - L'extension à tester
  Returns:
    boolean True si le type est valide, false sinon
  Throws:
    `DataException`

### getPopulation

    public Population getPopulation(java.lang.String id)
                             throws DataException

  Récupération d'une population

  Specified by:
    `getPopulation` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant d'intranet
  Returns:
    La population de l'intranet
  Throws:
    `DataException`

### addPopulation

    public void addPopulation(Population population)
                       throws DataException

  Ajout d'une population

  Specified by:
    `addPopulation` in interface `IDataAccess`
  Parameters:
    `population` - La population à ajouter
  Throws:
    `DataException`

### getUsersPublicators

    public java.util.Collection getUsersPublicators(java.lang.String id)
                                             throws DataException

  Récupération des publicateurs d'un dossier

  Specified by:
    `getUsersPublicators` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    La liste des publicateurs
  Throws:
    `DataException`

### getGroupsPublicators

    public java.util.Collection getGroupsPublicators(java.lang.String id)
                                              throws DataException

  Récupération des groupes de publicateurs d'un dossier

  Specified by:
    `getGroupsPublicators` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    La liste des groupes de publicateurs
  Throws:
    `DataException`

### addPublicator

    public void addPublicator(java.lang.String id,
                              java.lang.String login)
                       throws DataException

  Ajout d'un publicateur

  Specified by:
    `addPublicator` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### addPublicators

    public void addPublicators(java.lang.String id,
                               java.lang.String group)
                        throws DataException

  Ajout d'un groupe de publicateurs

  Specified by:
    `addPublicators` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `group` - L'identifiant du groupe
  Throws:
    `DataException`

### removePublicator

    public void removePublicator(java.lang.String id,
                                 java.lang.String login)
                          throws DataException

  Suppression d'un publicateur

  Specified by:
    `removePublicator` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removePublicators

    public void removePublicators(java.lang.String id,
                                  java.lang.String group)
                           throws DataException

  Suppression d'un groupe de publicateurs

  Specified by:
    `removePublicators` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `group` - L'identifiant du groupe
  Throws:
    `DataException`

### findByName

    public java.util.Collection findByName(java.lang.String intranet,
                                           java.lang.String name,
                                           java.lang.String description,
                                           boolean valid)
                                    throws DataException

  Recherche de documents par nom / description

  Specified by:
    `findByName` in interface `IDataAccess`
  Parameters:
    `intranet` - L'intranet concerné
    `name` - Tout ou partie du nom du document
    `description` - Tout ou partie de la description du document
    `valid` - La validité des documents recherchés
  Returns:
    La liste des documents correspondants au(x) critère(s) de recherche
  Throws:
    `DataException`

### findInvalid

    public java.util.Collection findInvalid(java.lang.String intranet,
                                            java.lang.String name,
                                            java.lang.String description)
                                     throws DataException

  Recherche de tous les documents en attente de validation

  Specified by:
    `findInvalid` in interface `IDataAccess`
  Parameters:
    `intranet` - L'intranet concerné
  Returns:
    La liste des documents en attente de validation
  Throws:
    `DataException`

### findMyInvalid

    public java.util.Collection findMyInvalid(java.lang.String intranet,
                                              java.lang.String name,
                                              java.lang.String description,
                                              java.lang.String login)
                                       throws DataException

  Recherche des documents déposés par un utilisateur en attente de validation

  Specified by:
    `findMyInvalid` in interface `IDataAccess`
  Parameters:
    `intranet` - L'intranet concerné
    `login` - L'identifiant de l'utilisateur
  Returns:
    La liste des documents de l'utilisateur en attente de validation
  Throws:
    `DataException`

### getSuperUsers

    public java.util.Collection getSuperUsers()
                                       throws DataException

  Récupération des super-utilisateurs

  Specified by:
    `getSuperUsers` in interface `IDataAccess`
  Returns:
    La liste des super-utilisateurs
  Throws:
    `DataException`

### addSuperUser

    public void addSuperUser(java.lang.String login)
                      throws DataException

  Ajout d'un super-utilisateur

  Specified by:
    `addSuperUser` in interface `IDataAccess`
  Parameters:
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeSuperUser

    public void removeSuperUser(java.lang.String login)
                         throws DataException

  Suppression d'un super-utilisateur

  Specified by:
    `removeSuperUser` in interface `IDataAccess`
  Parameters:
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### getValidators

    public java.util.Collection getValidators(java.lang.String id)
                                       throws DataException

  Récupération des valideurs d'un dossier

  Specified by:
    `getValidators` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    La liste des valideurs
  Throws:
    `DataException`

### addValidator

    public void addValidator(java.lang.String id,
                             java.lang.String login)
                      throws DataException

  Ajout d'un valideur

  Specified by:
    `addValidator` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeValidator

    public void removeValidator(java.lang.String id,
                                java.lang.String login)
                         throws DataException

  Suppression d'un valideur

  Specified by:
    `removeValidator` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### swap

    public void swap(java.lang.String id,
                     java.lang.String doc,
                     java.lang.String oldorder,
                     java.lang.String neworder)
              throws DataException

  Echange le rang de deux documents

  Specified by:
    `swap` in interface `IDataAccess`
  Parameters:
    `id` - L'identifiant du dossier
    `doc` - L'identifiant du document
    `oldorder` - L'ancien rang du document
    `neworder` - Le nouveau rang du document
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD